DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-10-08-ProjectSprints_Order';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14342) THEN
			RETURN;
		END IF;

		BEGIN
            		ALTER TABLE public."ProjectSprints" ADD "Order" bigint DEFAULT 0; 
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-10-08-ProjectSprints_Order: %', SQLERRM;
		END;
	END;
$$